API ReferencePublisher Agents
Archive an agent after withdrawal
Authorization
bearerAuth AuthorizationBearer <token>
Send a SimpleServe API key as Authorization: Bearer <key>.
In: header
Path Parameters
agent_id*string
Publisher-owned agent ID.
Match
^agent_[A-Za-z0-9]+$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/publisher/agents/string/archive"{ "hosting": "managed", "archived": false, "id": "string", "object": "publisher.agent", "namespace": "string", "slug": "string", "name": "string", "description": "string", "draft_revision": 1, "private_deployment": { "id": "string", "version_id": "string", "visibility": "private", "status": "active", "created_at": "2019-08-24T14:15:22Z", "activated_at": "2019-08-24T14:15:22Z" }, "public_deployment": { "id": "string", "version_id": "string", "visibility": "private", "status": "active", "created_at": "2019-08-24T14:15:22Z", "activated_at": "2019-08-24T14:15:22Z" }, "public_submission": { "id": "string", "version_id": "string", "visibility": "private", "status": "active", "created_at": "2019-08-24T14:15:22Z", "activated_at": "2019-08-24T14:15:22Z" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}